org.h2.command.ddl

## Class CreateSynonymData

- java.lang.Object
- - org.h2.command.ddl.CreateSynonymData

    public class CreateSynonymData
    extends java.lang.Object

The data required to create a synonym.

### Field Summary

Fields
`int` `id` The object id.
`Schema` `schema` The schema.
`SessionLocal` `session` The session.
`java.lang.String` `synonymFor` The name of the table the synonym is created for.
`Schema` `synonymForSchema` Schema synonymFor is located in.
`java.lang.String` `synonymName` The synonyms name.

### Constructor Summary

Constructors
Constructor and Description
`CreateSynonymData()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### schema

    public Schema schema

The schema.

#### synonymName

    public java.lang.String synonymName

The synonyms name.

#### synonymFor

    public java.lang.String synonymFor

The name of the table the synonym is created for.

#### synonymForSchema

    public Schema synonymForSchema

Schema synonymFor is located in.

#### id

    public int id

The object id.

#### session

    public SessionLocal session

The session.

### Constructor Detail

#### CreateSynonymData

    public CreateSynonymData()